Package com.macrofocus.transform.zoom

# Class CartesianFisheyeZoom

java.lang.Object
com.macrofocus.transform.zoom.CartesianFisheyeZoom

All Implemented Interfaces:
  `ZoomStrategy`

public class CartesianFisheyeZoom extends Object implements ZoomStrategy

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CartesianFisheyeZoom(BoundedInterval interval, boolean isDebug)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addZoomListener(ZoomListener listener)`
  `boolean`
  `isDebug()`
  `double`
  `normalizedToZoomed(double x)`
  `void`
  `removeZoomListener(ZoomListener listener)`
  `void`
  `setLensNormalized(double position, double size)`
  `void`
  `setZoomFactor(double zoomFactor)`
  `String`
  `toString()`
  `double`
  `zoomedToNormalized(double x)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CartesianFisheyeZoom

    public CartesianFisheyeZoom(BoundedInterval interval, boolean isDebug)

- ## Method Details

  - ### isDebug

    public boolean isDebug()

  - ### setZoomFactor

    public void setZoomFactor(double zoomFactor)

  - ### setLensNormalized

    public void setLensNormalized(double position, double size)

  - ### normalizedToZoomed

    public double normalizedToZoomed(double x)
    Specified by:
      `normalizedToZoomed` in interface `ZoomStrategy`

  - ### zoomedToNormalized

    public double zoomedToNormalized(double x)
    Specified by:
      `zoomedToNormalized` in interface `ZoomStrategy`

  - ### addZoomListener

    public void addZoomListener(ZoomListener listener)
    Specified by:
      `addZoomListener` in interface `ZoomStrategy`

  - ### removeZoomListener

    public void removeZoomListener(ZoomListener listener)
    Specified by:
      `removeZoomListener` in interface `ZoomStrategy`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`